• Русский
  • VSphereDeploymentZone [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    VSphereDeploymentZone is the Schema for the vspheredeploymentzones API Deprecated: This type will be removed in one of the next releases.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    VSphereDeploymentZoneSpec defines the desired state of VSphereDeploymentZone

    statusobject

    .spec

    Description
    VSphereDeploymentZoneSpec defines the desired state of VSphereDeploymentZone
    Type
    object
    Required
    placementConstraint
    PropertyTypeDescription
    controlPlaneboolean

    ControlPlane determines if this failure domain is suitable for use by control plane machines.

    failureDomainstring

    failureDomain is the name of the VSphereFailureDomain used for this VSphereDeploymentZone

    placementConstraintobject

    PlacementConstraint encapsulates the placement constraints used within this deployment zone.

    serverstring

    Server is the address of the vSphere endpoint.

    .spec.placementConstraint

    Description
    PlacementConstraint encapsulates the placement constraints used within this deployment zone.
    Type
    object
    PropertyTypeDescription
    folderstring

    Folder is the name or inventory path of the folder in which the virtual machine is created/located.

    resourcePoolstring

    ResourcePool is the name or inventory path of the resource pool in which the virtual machine is created/located.

    .status

    Type
    object
    PropertyTypeDescription
    conditionsarray

    Conditions defines current service state of the VSphereDeploymentZone.

    readyboolean

    Ready is true when the VSphereDeploymentZone resource is ready. If set to false, it will be ignored by VSphereClusters

    .status.conditions

    Description
    Conditions defines current service state of the VSphereDeploymentZone.
    Type
    array

    .status.conditions[]

    Description
    Condition defines an observation of a Cluster API resource operational state.
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    Last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    A human readable message indicating details about the transition. This field may be empty.

    reasonstring

    The reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may not be empty.

    severitystring

    Severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheredeploymentzones
      • DELETE: delete collection of VSphereDeploymentZone
      • GET: list objects of kind VSphereDeploymentZone
      • POST: create a new VSphereDeploymentZone
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheredeploymentzones/{name}
      • DELETE: delete the specified VSphereDeploymentZone
      • GET: read the specified VSphereDeploymentZone
      • PATCH: partially update the specified VSphereDeploymentZone
      • PUT: replace the specified VSphereDeploymentZone
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheredeploymentzones/{name}/status
      • GET: read status of the specified VSphereDeploymentZone
      • PATCH: partially update status of the specified VSphereDeploymentZone
      • PUT: replace status of the specified VSphereDeploymentZone

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheredeploymentzones

    HTTP method
    DELETE
    Description
    delete collection of VSphereDeploymentZone
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind VSphereDeploymentZone
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZoneList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new VSphereDeploymentZone
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereDeploymentZone schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZone schema
    201 - CreatedVSphereDeploymentZone schema
    202 - AcceptedVSphereDeploymentZone schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheredeploymentzones/{name}

    HTTP method
    DELETE
    Description
    delete the specified VSphereDeploymentZone
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified VSphereDeploymentZone
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZone schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified VSphereDeploymentZone
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZone schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified VSphereDeploymentZone
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereDeploymentZone schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZone schema
    201 - CreatedVSphereDeploymentZone schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheredeploymentzones/{name}/status

    HTTP method
    GET
    Description
    read status of the specified VSphereDeploymentZone
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZone schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified VSphereDeploymentZone
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZone schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified VSphereDeploymentZone
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereDeploymentZone schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereDeploymentZone schema
    201 - CreatedVSphereDeploymentZone schema
    401 - UnauthorizedEmpty